# Admin API Reference The Zephr Admin API provides RESTful access to all Zephr functionality. It is designed for server-side integrations. All requests must be signed as described in HMAC Request Signing and Key Pairs. The Admin API uses a base URL with the following format: `https://{tenantId}.api.zephr.com` **Note**: If you have multiple tenants, the current tenant ID is shown in a blue box in the top right of the Admin Console. If you have a single site, you can find the tenant ID by navigating to your site domains. To do this, select **Sites** from the **Delivery** menu, select your site, and then click the **Site Domains** button. The tenant ID is the first part of the domain. For example, if the domain is *news-paper.cdn.zephr.com*, the tenant ID is *news*. Version: 2026-01-08 ## Servers ``` https://{tenantId}.api.zephr.com ``` Variables: - `tenantId`: Your tenant ID. Default: "demo" ## Security ### ZephrHmacHttp Requests to this API can be authenticated using an HMAC token signed with keys created in the admin console. For more information on signing requests with HMAC, see: / zephr-docs/zephr-api/zephr-api-tutorials/hmac-request-signing-and-key-pair/ For more information on generating keys for this, see: https://knowledgecenter.zuora.com/Zephr/Admin_User_Settings/Manage_Key_Pairs The scheme name in the `Authorization` header, `ZEPHR-HMAC-*`, includes the signing algorithm as the final part of the name. For example: `ZEPHR-HMAC-SHA-256`. Type: http Scheme: ZEPHR-HMAC-* ## Download OpenAPI description [Admin API Reference](https://developer.zuora.com/_bundle/zephr-api-reference/zephr-admin-api/index.yaml) ## Account User Contains operations on the Account User resource. ### List account users - [GET /v3/accounts/{account_id}/users](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account-user/listaccountusers.md): Retrieves all the account users. ### Retrieve an account user - [GET /v3/accounts/{account_id}/users/{user_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account-user/retrieveaccountuser.md): Retrieves an account user. ### Delete an account user - [DELETE /v3/accounts/{account_id}/users/{user_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account-user/deleteaccountuser.md): Deletes an account user. ### Save or Create an account user - [PUT /v3/accounts/{account_id}/users/{user_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account-user/saveaccountuser.md): Saves or Creates an account specified by account_id and user_id. ### List account users - [GET /v4/accounts/{accountId}/grants](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account-user/listaccountusersv4.md): Retrieves all the account users, if the accountId has users. ## Admin User Contains operations on the Admin User resource. ### Create an admin user - [POST /v3/admin/users](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/createadminuser.md): Creates a new admin user. ### Log in to an admin user account - [POST /v3/admin/login](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/loginadminuseraccount.md): Logs in to an admin user account. ### Log out of the admin user account - [POST /v3/admin/logout](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/logoutadminuseraccount.md): Logs out of the admin user account. ### Issue a key pair - [POST /v3/admin/users/{user_id}/keypairs](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/issuekeypair.md): Issues a new key pair for the admin user. ### List access keys - [GET /v3/admin/users/{user_id}/keypairs](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/listaccesskeys.md): Retrieves a list of access keys for the admin user. ### Revoke a keypair - [DELETE /v3/admin/users/{user_id}/keypairs/{access_key}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/revokekeypair.md): Revokes a keypair. ### List user roles - [GET /v3/admin/users/{user_id}/roles](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/listuserroles.md): Retrieves the user roles an admin user is assigned. ### List user roles by tenant - [GET /v3/admin/users/{user_id}/roles/{tenant}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/listusertenantroles.md): Retrieves the admin user's roles by tenant. ### Create admin user roles - [POST /v3/admin/roles](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/createadminrole.md): Creates admin user roles. ### List admin user roles - [GET /v3/admin/roles](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/listroles.md): Retrieves the admin user roles by tenant. ### Update an admin user role - [PUT /v3/admin/roles/{role_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/updaterole.md): Updates an admin user role by ID. ### Retrieve an admin user role - [GET /v3/admin/roles/{role_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/getrole.md): Retrieves an admin user role. ### Delete an admin user role - [DELETE /v3/admin/roles/{role_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/deleterole.md): Deletes an admin user role. ### Retrieve an admin user by session ID - [GET /v3/admin/sessions/{blaize_admin_session_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/admin-user/getsessionuser.md): Retrieves an admin user by session ID. ## Bundle Contains operations on the Bundle resource. ### List Bundles - [GET /v3/bundles](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/bundle/listbundles.md): Retrieves a list of bundles wrapped in the element "results". Each bundle contains a list of entitlements, meters, credits, and other bundles. ### Create Bundles - [PUT /v3/bundles](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/bundle/createbundles.md): Creates Bundles. ### Create a Bundle - [PUT /v3/bundles/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/bundle/createbundle.md): Creates a Bundle. ### Retrieve a Bundle - [GET /v3/bundles/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/bundle/getbundle.md): Retrieves a single bundle. Each bundle contains a list of entitlements, meters, credits, and other bundles. ### Delete Bundle - [DELETE /v3/bundles/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/bundle/deletebundle.md): Deletes a Bundle. ## Cache Configurations Contains operations on the Cache Configurations resource. ### List cache configurations - [GET /v3/cache-configurations](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/cache-configurations/listcacheconfigurations.md): Retrieves a list of cache configurations wrapped in the element "results". ### Create a cache configuration - [POST /v3/cache-configurations](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/cache-configurations/createcacheconfiguration.md): Creates a Cache Configuration. ### Retrieve a cache configuration - [GET /v3/cache-configurations/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/cache-configurations/getcacheconfiguration.md): Retrieves a single cache configuration. ### Delete a cache configuration - [DELETE /v3/cache-configurations/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/cache-configurations/deletecacheconfiguration.md): Deletes a cache configuration ### Update a cache configuration - [PUT /v3/cache-configurations/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/cache-configurations/updatecacheconfiguration.md): Updates a cache configuration. ## Cache Management Cache Mangement. ### Evict cached origin requests - [POST /v3/cache-management/evict-origin](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/cache-management/evictorigin.md): Evicts all cached origin requests with path matching the supplied regular expression. ### Evict cached origin requests (V4) - [POST /v4/cache-management/evict-origin](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/cache-management/evictoriginsitev4.md): Evicts all cached origin requests with path matching the supplied regular expression. ### Evict cached origin requests for a given site in V4 - [POST /v4/cache-management/evict-origin/{site}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/cache-management/evictoriginv4.md): Evicts all of the origin cache matching the path pattern provided in the request body for a given site, evicts all paths if .* is provided as path pattern. ## Company Actions on resource Company. ### List companies - [GET /v3/companies](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/company/listcompanies.md): Retrieves a list of companies wrapped in the element "results". ### Create a company - [POST /v3/companies](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/company/createcompany.md): Creates a company. ### Retrieve a company - [GET /v3/companies/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/company/getcompany.md): Retrieves a single company. ### Delete a company - [DELETE /v3/companies/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/company/deletecompany.md): Deletes a company. ### Update a company - [PUT /v3/companies/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/company/updatecompany.md): Updates a company. ### Create a company - [POST /v4/companies](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/company/paths/~1v4~1companies/post.md): Creates a company with the details specified in the request body ### Retrieve a company - [GET /v4/companies/{companyId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/company/paths/~1v4~1companies~1%7Bcompanyid%7D/get.md): Retrieves company information for a company specified by the provided identifier (companyId) ## Component Library Actions on resource Library Component. ### Generate Thumbnail Upload URL - [POST /v4/thumbnails/upload-url](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/component-library/generatethumbnailuploadurl.md): Generates a pre-signed URL for securely uploading a thumbnail image. The link expires after 10 minutes. Considerations: - Uploaded images are not optimized by the server; please upload images pre-optimized for web use. - Each uploaded file receives a unique thumbnailId for reference within your application, but the file name in the bucket is derived from this ID, ensuring no conflicts with existing files. ## Configuration Blaize tenant configuration. ### Save the tenant configuration - [POST /v3/configuration](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/configuration/saveconfiguration.md): Creates or updates the tenant configuration. ### Retrieve the tenant configuration - [GET /v3/configuration](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/configuration/getconfiguration.md): Retrieves the tenant configuration. ### Install a tenant - [POST /v3/initialize](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/configuration/installtenant.md): Installs a tenant in Blaize. ### Create a cert - [POST /v3/certs](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/configuration/createcert.md): Creates a cert. ### Delete a cert - [DELETE /v3/certs](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/configuration/deletecert.md): Deletes a cert. ## Credit Actions on resource Credit. ### List credits - [GET /v3/credits](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/credit/credits.md): Retrieves a list of credits wrapped in the element "results". ### Create Credit - [POST /v3/credits](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/credit/createcredits.md): Create an Credit ### Create a credit - [POST /v3/credits/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/credit/createcredit.md): Creates a credit. ### Retrieve a credit - [GET /v3/credits/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/credit/getcredit.md): Retrieves a single credit. ### Delete a credit - [DELETE /v3/credits/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/credit/deletecredit.md): Deletes a credit. ## Decision Engine ### Invoke the decision engine - [POST /v3/decision-engine](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/decision-engine/invokedecisionengine.md): Invokes the decision engine. The Blaize Decision Engine can be invoked via the Admin API to calculate an HTTP Response based upon Request-Level Rules created in the Admin Console. This functionality is build into the Blaize Dynamic CDN but the API variant is useful for CMS or edge side integrations. ## Email Templates Actions on email templates. ### List email templates - [GET /v4/email-templates](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/email-templates/listemailtemplates.md): Retrieves a list of email templates. ### Retrieve an email template - [GET /v4/email-templates/{slug}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/email-templates/getemailtemplate.md): Retrieves a single email template. ### Delete an email template - [DELETE /v4/email-templates/{slug}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/email-templates/deleteemailtemplate.md): Deletes an email template. ### Save an email template - [PUT /v4/email-templates/{slug}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/email-templates/saveemailtemplate.md): Saves an email template. ## Entitlement Actions on resource Entitlement. ### List entitlements - [GET /v3/entitlements](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/entitlement/listentitlements.md): Retrieves a list of entitlements wrapped in the element "results". ### Create entitlements - [POST /v3/entitlements](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/entitlement/createentitlements.md): Creates entitlements. ### Create an entitlement - [POST /v3/entitlements/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/entitlement/createentitlement.md): Creates an entitlement. ### Retrieve an entitlement - [GET /v3/entitlements/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/entitlement/getentitlement.md): Retrieves a single entitlement. ### Delete an entitlement - [DELETE /v3/entitlements/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/entitlement/deleteentitlement.md): Deletes an entitlement. ## Feature Rules Actions on resource Feature Rules. **Note:** - Note: The APIs mentioned in this section support legacy Feature Rules only. Feature Rules created through the Admin Console (V4 Features) are stored in a different system and are not accessible through these APIs. ### List feature rules - [GET /v3/feature-rules](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/feature-rules/listfeaturerules.md): Retrieves a list of feature rules. Note: This API supports legacy Feature Rules only. Feature Rules created through the Admin Console (V4 Features) are stored in a different system and are not accessible through this API. ### Delete a feature rule - [DELETE /v3/feature-rules/{featureRuleId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/feature-rules/deletefeaturerule.md): Deletes a feature rule. Note: This API supports legacy Feature Rules only. Feature Rules created through the Admin Console (V4 Features) are stored in a different system and are not accessible through this API. ### List the versions of a feature rule - [GET /v3/feature-rules/{featureRuleId}/versions](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/feature-rules/getfeatureruleversions.md): Retrieves a lists of all the versions for a single feature rule. Note: This API supports legacy Feature Rules only. Feature Rules created through the Admin Console (V4 Features) are stored in a different system and are not accessible through this API. ### Create a feature rule version - [POST /v3/feature-rules/{featureRuleId}/versions](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/feature-rules/createfeaturerule.md): Creates a feature rule version. Note: This API supports legacy Feature Rules only. Feature Rules created through the Admin Console (V4 Features) are stored in a different system and are not accessible through this API. ### Retrieve a feature rule version - [GET /v3/feature-rules/{featureRuleId}/versions/{versionId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/feature-rules/getfeatureruleversion.md): Retrieves a version for a single feature rule. Note: This API supports legacy Feature Rules only. Feature Rules created through the Admin Console (V4 Features) are stored in a different system and are not accessible through this API. ### Delete a feature rule version - [DELETE /v3/feature-rules/{featureRuleId}/versions/{versionId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/feature-rules/deletefeatureruleversion.md): Deletes a single version of a feature rule. Note: This API supports legacy Feature Rules only. Feature Rules created through the Admin Console (V4 Features) are stored in a different system and are not accessible through this API. ### Save feature rule version tags - [PUT /v3/feature-rules/{featureRuleId}/versions/{versionId}/tags](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/feature-rules/savefeaturerule.md): Saves the feature rule version tags. Note: This API supports legacy Feature Rules only. Feature Rules created through the Admin Console (V4 Features) are stored in a different system and are not accessible through this API. ## Form Actions on resource Form. ### List forms - [GET /v3/forms](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/form/listforms.md): Retrieves a list of forms wrapped in the element "results". ### Retrieve Form - [GET /v3/forms/{slug}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/form/getform.md): Retrieves a single form. ### Delete a form - [DELETE /v3/forms/{slug}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/form/deleteform.md): Deletes a form. ### Save a form - [PUT /v3/forms/{slug}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/form/saveform.md): Saves a form. ## Gifts ### List all the unclaimed gifts - [GET /v3/gift](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/gifts/listallunclaimedgifts.md): Lists all the unclaimed gifts. ### Create a gift - [POST /v3/gift](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/gifts/creategift.md): Creates a gift. ### Delete a gift - [DELETE /v3/gift/{giftId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/gifts/deletegift.md): Deletes a gift. ## Grants Actions on resource Grant. ### List user grants - [GET /v3/users/{userId}/grants](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/listusergrants.md): Retrieves a list of user grants. ### Create a grant - [POST /v3/users/{userId}/grants](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/creategrants.md): Creates a user grant. ### Retrieve a grant - [GET /v3/users/{userId}/grants/{grantId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/getaccountgrant.md): Retrieves a single grant. ### Delete a grant - [DELETE /v3/users/{userId}/grants/{grantId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/deleteusergrant.md): Deletes a grant specified by the grantId. This is for a user that is specified by the userId ### Create an account grant - [POST /v3/users/{userId}/grants/{grantId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/creategrant.md): Creates an account grant. ### Retrieve a user access model - [GET /v3/users/{userId}/accessModel](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/retrieveuseraccessmodel.md): Retrieves a user access model. ### List account grants - [GET /v3/accounts/{accountId}/grants](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/listaccountgrants.md): Retrieves a list of account grants. ### Create an account grant - [POST /v3/accounts/{accountId}/grants](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/createaccountgrant.md): Creates an account grant. ### Retrieve an account grant - [GET /v3/accounts/{accountId}/grants/{grantId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/getusergrant.md): Retrieves a single account grant information, if the supplied accountId and grantId match ### Delete an account grant - [DELETE /v3/accounts/{accountId}/grants/{grantId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/deleteaccountgrantbyid.md): Deletes an account grant specified by the grantId. This is for a user that is specified by the accountId. ### Create an account grant - [POST /v4/accounts/{accountId}/grants](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/createaccountgrantv4.md): Creates an account grant. This is for an account that is specified by the accountId ### Delete an account grant - [DELETE /v4/accounts/{accountId}/grants/{grantId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/grants/deleteaccountgrant.md): Deletes an account grant specified by the grantId. This is for a user that is specified by the accountId. ## Meter Actions on resource Meter. ### List meters - [GET /v3/meters](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/meter/listmeters.md): Retrieves a list of meters wrapped in the element "results". ### Create a meter - [POST /v3/meters/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/meter/createmeter.md): Creates or updates a meter for specified id. ### Retrieve a meter - [GET /v3/meters/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/meter/getmeter.md): Retrieves a single meter with specified id. ### Delete a meter - [DELETE /v3/meters/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/meter/deletemeter.md): Deletes a meter if the meter with id exists. ## Products Actions on resource Product. ### List products - [GET /v3/products](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/products/listproducts.md): Retrieves all configured products. ### Save a product - [POST /v3/products](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/products/saveproduct.md): This endpoint saves a product with the given details specified in the body of the request. The product ID is randomyly generated and provided as part of the URI path parameter response returned on success. ### Retrieve a product - [GET /v3/products/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/products/getproduct.md): Retrieves a single product. The product is identified by the id path parameter. ### Delete a product - [DELETE /v3/products/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/products/deleteproduct.md): Deletes a product. The product is identified by the id path parameter. ### Save a product with the given ID - [PUT /v3/products/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/products/saveproducts.md): This endpoint both saves and updates a product. The product is identified by the id path parameter. If the product ID does not exist, then a new product with the corresponding ID will be created. Otherwise, the existing product will be modified. ## Request Rules Actions on resource Request Rules. ### List request rules - [GET /v3/request-rules](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/request-rules/listrequestrules.md): Retrieves a list of request rules wrapped in the element "results". ### Save a request rule - [PUT /v3/request-rules](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/request-rules/saverequestrule.md): Saves a request rule. ### Delete a request rule - [DELETE /v3/request-rules/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/request-rules/deleterequestrule.md): Deletes a request rule. ### Retrieve a particular version of a request rule - [GET /v3/request-rules/{id}/versions/{versionId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/request-rules/getrequestruleversion.md): Retrieves a request rule version. ### Delete a request rule version - [DELETE /v3/request-rules/{id}/versions/{versionId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/request-rules/deleterequestruleversion.md): Deletes a request rule version. ## Session Actions on resource Session. ### Create a session - [POST /v3/sessions](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/session/createnewsession.md): Creates a new session. ### Retrieve a session - [GET /v3/sessions/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/session/getsession.md): Looks up a session. ## Static Items Actions on resource Static Item. ### List static items - [GET /v3/static](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/static-items/liststaticitems.md): Retrieves a list of static item ids wrapped in the element "results". ### Retrieve a static item - [GET /v3/static/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/static-items/getitem.md): Retrieves a static item. ### Delete a static item - [DELETE /v3/static/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/static-items/delete_item.md): Deletes a static item. ### Save a static item - [PUT /v3/static/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/static-items/saveitem.md): Saves a static item. ## Third Party Authentication Contains operations for the OAuth 2.0 Authorization Code Flow Token Exchange. ### Token refresh or exchange - [POST /zephr/oauth2/token](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/third-party-authentication/refreshorexchangetoken.md): Exchanges the OAuth2 authorization code for an access token, or refreshes an existing access token using a refresh token. ## User Export ### Export users - [GET /v3/user-export](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/user-export/exportusers.md): Export users who match the provided parameters. ### Export users and user events - [GET /v4/user-export](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/user-export/exportuserandeventscsv.md): Downloads all subscribers and subscriber events data in csv format. - To download subscribers data, specify the attributes query parameter to true, and use the attr, appIds, appIdsRestrictive, grants, since, registeredSince, registeredBefore, foreignKeys query parameters. - To download subscriber events data, specify the eventsExport query parameter to true, and use the from and to query parameters. - For pagination, use the rpp and page query parameters ## User Schema Actions on resource User Schema. ### Retrieve a user schema - [GET /v3/schema/users](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/user-schema/retrieveuserschema.md): Retrieves a user Schema. ### Retrieve a schema slug - [GET /v3/schema/users/{slug}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/user-schema/getschemaslug.md): Retrieves a schema slug. ### Delete a schema slug - [DELETE /v3/schema/users/{slug}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/user-schema/deleteschemaslug.md): Deletes a schema slug. ### Save a schema slug - [PUT /v3/schema/users/{slug}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/user-schema/saveschemaslug.md): Saves a schema slug. ## Users Contains operations on the User resource. **Important**: The Attributes object contains the custom-defined attributes for a user. ### Inserts or updates a foreign key - [PUT /v3/users/{userId}/foreign-key/update/{key}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/upsertforeignkey.md): Inserts or updates the provided foreign key, if the supplied userId and key match. ### List users - [GET /v3/users](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/listusers.md): Retrieves a list of users wrapped in the element "results". ### Create a user - [POST /v3/users](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/createuser.md): Creates a new user. ### Retrieve a user - [GET /v3/users/{user_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/getuser.md): Retrieves a user. ### Delete a user - [DELETE /v3/users/{user_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/deleteuser.md): Deletes a user. ### Update all user attributes - [PUT /v3/users/{user_id}/attributes](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/replaceuserattributes.md): Replaces a user's attributes. This will replace any existing attributes for the user with the attributes in the payload. To leave existing attributes in place, use PATCH. ### Update user attributes - [PATCH /v3/users/{user_id}/attributes](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/updateuserattribute.md): Updates a user's attributes. Any of the user's existing attributes not specified in the payload will be left in-place. ### Retrieve Extended User Profiles - [GET /v3/users/{user_id}/profile/{app_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/paths/~1v3~1users~1%7Buser_id%7D~1profile~1%7Bapp_id%7D/get.md): Extended Profile is used to store additional user information that is not part of the core profile. This endpoint is designed to be used for retrieving the user's Extended Profile. The body can be any valid JSON. ### Update users in bulk - [POST /v4/user-updates](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/updatebulkusers.md): Updates user's attributfoes or delete users on a bulk basis. When setting attributes, any of the user's existing attributes not specified in the payload will be left in-place. ### List all bulk user update jobs - [GET /v4/user-updates](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/listbulkuserupdatejobs.md): Lists all bulk user update jobs. ### Retrieves a bulk user update job - [GET /v4/user-updates/{job_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/retrievebulkuserupdatejob.md): Retrieves the status of a bulk user update job. ### Create a user segment - [POST /v4/users/segments](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/createusersegment.md): Creates a new User Segment. ### List user segments - [GET /v4/users/segments](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/listusersegment.md): Lists all user segments available for users. ### Retrieve a user segment - [GET /v4/users/segments/{segmentId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/getusersegment.md): Retrieves a user segment. ### Delete a user segment - [DELETE /v4/users/segments/{segmentId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/deleteusersegment.md): Deletes a user segment by ID. ### List user segments for a user - [GET /v4/users/{userId}/segments](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/listusersegmentsforuser.md): Lists all user segments for a given userId. ### Start an email address update - [POST /v3/users/{user_id}/update-email](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/startemailaddressupdate.md): Starts an email address update. If the Require Email Verification configuration flag is set, to update a user's email address, first they need to verify their new address. If the Email Change Override feature flag is enabled, the an email with a link to verify the address will be sent to the new address. Otherwise the email will be sent to the old address. If the Require Email Verification configuration flag is not set, this endpoint sets the new email address immediately. If the user has a username and the provided email address is blank, the email address is deleted. If the user does not have a username and the provided email address is blank, a 400 is returned. ### Start a password reset - [POST /v4/users/reset](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/startpasswordreset.md): Starts a password reset. IMPORTANT: To reset a user password, first is required to send a POST to request an email to be sent to the user’s email with a link for the user to click on, so as to verify that they requested this password change. ### Start a passwordless authentication - [POST /v3/users/token-exchange](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/startpasswordlessauthentication.md): Starts a passwordless authentication. IMPORTANT: For passwordless authentication, first is required to send a POST to request an email to be sent to the user’s email with a link for the user to click on to verify his email. ### List user sessions - [GET /v3/users/{user_id}/sessions](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/listusersessions.md): Retrieves a list of the user's sessions. ### List user accounts - [GET /v3/users/{user_id}/accounts](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/listuseraccounts.md): Retrieves a list of the user's accounts. ### Refresh a access model - [POST /v3/users/{user_id}/authorization/refresh](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/refreshaccessmodel.md): Refreshes the user's access model. ### Reset a legacy password - [POST /v3/users/{user_Id}/legacyPassword](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/users/resetlegacypassword.md): Sets the current password to an empty string, also sets the legacy password to the provided string. ## V4 Session Actions on resource Session. ### Create a new session under a given site - [POST /v4/sessions/{site}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/v4-session/createnewsessionundergivensite.md): Creates a new session under a given site. ### Look up a session under a given site - [GET /v4/sessions/{site}/{sessionId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/v4-session/lookupsessionundergivensite.md): This endpoint allows you to access specific session details for a particular site. By providing the unique identifiers for the site and the session, you can retrieve detailed information about that session. This information can include the session's start time, end time, current status, and any associated user data. The exact content of the response will depend on the specific session and site identifiers provided in the request. ### Delete a session under a given site - [DELETE /v4/sessions/{site}/{sessionId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/v4-session/deletesessionundergivensite.md): This endpoint is used to delete a specific session for a given site. You need to provide the unique identifiers for the site and the session. This operation is useful when you want to manually end a session before it naturally expires. ### Create an anonymous session under a given site - [POST /v4/anonymous-sessions/{site}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/v4-session/createanonymoussessionundergivensite.md): Creates an anonymous session under a given site. ## Webhook Actions on resource Webhook. ### List webhooks - [GET /v3/webhooks](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/webhook/listwebhooks.md): Retrieves a list of webhooks wrapped in the element "results". ### Create a webhook - [POST /v3/webhooks](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/webhook/createwebhook.md): Creates a Webhook. ### Retrieve a webhook - [GET /v3/webhooks/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/webhook/getwebhook.md): Retrieves a webhook. ### Delete a webhook - [DELETE /v3/webhooks/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/webhook/deletewebhook.md): Deletes a webhook. ### Update a webhook - [PUT /v3/webhooks/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/webhook/updatewebhook.md): Updates a webhook. ## Account Actions on resource Account. ### List accounts - [GET /v3/accounts](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account/listaccounts.md): Retrieves a paginated list of accounts in results according to the passed in rpp, page and search parameters alongside the total number of items matching the search query (total). ### Create an account - [POST /v3/accounts](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account/createaccount.md): Creates an account. ### Retrieve an account - [GET /v3/accounts/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account/getaccount.md): Retrieves an account. ### Delete an account - [DELETE /v3/accounts/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account/deleteaccount.md): Deletes an account. ### Update an account - [PUT /v3/accounts/{id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account/updateaccount.md): Updates an account. ### Retrieve an account for V4 - [GET /v4/accounts/{account_id}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account/getaccountv4.md): Retrieves an V4 account. ### List accounts for v4 - [GET /v4/accounts](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/account/listaccountsv4.md): Retrieves a list of accounts for V4. ## Health Check Actions on Health checks. ### Check availability of the origin - [GET /v3/healthchecks/origin](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/health-check/paths/~1v3~1healthchecks~1origin/get.md): Sends a request to the origin site to verify availability. ## System Resources Actions on system resources. ### Update system resource - [PUT /v4/resources/{resourceId}/content](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/system-resources/paths/~1v4~1resources~1%7Bresourceid%7D~1content/put.md): Update system resource by provided resourceId ## Accounts ### Post an account grant - [POST /v4/accounts/{accountId}/users](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/accounts/postaccountbulking.md): Adding account users to company account by email domain. ## Request Rules Version ### Create a request rule version - [POST /v3/request-rules/{id}/versions](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/request-rules-version/createrequestruleversion.md): Create a request rule version ## Pages ### Generates an S3 upload URL - [POST /v4/pages/upload-url](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/pages/generatepageuploadurl.md): Generates a presigned S3 URL that can be used to upload a logo. ## Dynamic Offer Promo code redemption ### Process promo code redemptions - [POST /zephr/integration/promo-codes/v1/redemptions](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/dynamic-offer-promo-code-redemption/processpromocoderedemptions.md): Redeem promo codes that are configured from the Zephr console. Responds with a list of redemption results for each promo code. ## Subscription ### Cancel Subscription - [DELETE /blaize/payment/braintree/subscriptions/{externalId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/subscription/cancelsubscriptionlegacy.md): Cancels a subscription using the legacy method. ### Update Braintree Subscription - [PATCH /blaize/payment/braintree/subscriptions/{externalId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/subscription/orchestrateupdatebraintreesubscription.md): Updates a Braintree subscription. ## Other ### Fetch external template - [GET /zephr/public/template-components/v1/template-components/{templateConfigId}](https://developer.zuora.com/zephr-api-reference/zephr-admin-api/other/fetchexternaltemplate.md): Fetch External Template